Update / Neue Instalation

Allgemeine Fragen zur Verwendung von wpShopGermany4 und dessen integrierten Modulen

Moderatoren: ThoGoe, maennchen1.de

Haacker
Beiträge: 62
Registriert: 24.12.2012, 10:49
Lizenz: wpShopGermany Enterprise
Wohnort: Rostock
Kontaktdaten:

Update / Neue Instalation

Beitrag von Haacker » 28.01.2018, 14:53

Hey,

ich habe heute versucht das Plugin zu aktualisieren.. leider nur mit mäßigem Erfolg. Ich bekomme die folgende Fehlermeldung angezeigt:

Parse error: syntax error, unexpected '[' in /var/www/vhosts/web5.c15.webspace-verkauf.de/html/wp-content/plugins/wpshopgermany-free/model/wpsg_model.class.php on line 96


ich hab übrigens die gekaufte / multi site version des Shops. Der Shop ist deaktiviert und läßt sich auch nicht mehr aktivieren. Wo steckt der Fehler?

Grüße Robert

Benutzeravatar
ThoGoe
m1.Mitarbeiter
Beiträge: 2984
Registriert: 21.07.2014, 08:25
Lizenz: wpShopGermany Enterprise

Re: Update / Neue Instalation

Beitrag von ThoGoe » 29.01.2018, 08:36

Hallo!

Von welcher Version aus hast du geupdatet? Du hast auf die aktuelle 4.0.5 aktualisiert?
Mit welcher WordPress-Versionsnummer und mit welcher php-Versionsnummer arbeitest du?

Liebe Grüße
Wenn du glaubst, es geht nicht mehr, kommt von uns die Hilfe (http://shop.maennchen1.de/kontaktformular/) her.
Hast du wenig Geld, doch dafür Zeit, stell es der Wunschliste (https://wpshopgermany.uservoice.com/for ... 61-general) bereit!

Haacker
Beiträge: 62
Registriert: 24.12.2012, 10:49
Lizenz: wpShopGermany Enterprise
Wohnort: Rostock
Kontaktdaten:

Re: Update / Neue Instalation

Beitrag von Haacker » 29.01.2018, 20:44

Hallo
Die PHP Version ist : 5.3.29 / 64Bit OS
Update geschah von der 3.11 Version. Diese lief über die letzten drei Jahre stabil.
Das Update war auf die aktuelle 4.0.5 Version.
Wordpress ist die neue 4.9.2 Version.

Update geschah auch nur weil die alte Version einen Wight Screen erzeugte. Ansonsten hätte ich die mit meinen ganzen Anpassungen/ Spezifikationen weiter so betrieben.

Ich hoffe ihr könnt mir weiter helfen. Ich würde ungern die DB neu aufsetzen. Besonders schlimm würde es meine Kunden treffen, da ich denke das dieser Fehler nach und nach auf allen meinen Seiten auftreten wird.
Grüße Robert

Benutzeravatar
ThoGoe
m1.Mitarbeiter
Beiträge: 2984
Registriert: 21.07.2014, 08:25
Lizenz: wpShopGermany Enterprise

Re: Update / Neue Instalation

Beitrag von ThoGoe » 30.01.2018, 08:27

Hallo!

Laut unseren Systemanforderungen benötigst du mindestens php-Version 5.6.

Bist du beim Update nach unserer Anleitung vorgegangen?

Liebe Grüße
Wenn du glaubst, es geht nicht mehr, kommt von uns die Hilfe (http://shop.maennchen1.de/kontaktformular/) her.
Hast du wenig Geld, doch dafür Zeit, stell es der Wunschliste (https://wpshopgermany.uservoice.com/for ... 61-general) bereit!

Haacker
Beiträge: 62
Registriert: 24.12.2012, 10:49
Lizenz: wpShopGermany Enterprise
Wohnort: Rostock
Kontaktdaten:

Re: Update / Neue Instalation

Beitrag von Haacker » 30.01.2018, 12:56

Hey,
also ich habe leider keine Anleitung verwendet. Das Update habe ich einfach gemacht, nachdem ich festgestellt habe, dass der Wightscreen da ist. Dein Vorschlag mit der php Version hört sich gut an. Wie kann ich diese aktualisieren oder muss das Serverseitig vom Provider vorgenommen werden?
In die Anleitung schaue ich gleich mal rein.
Danke erstmal

Haacker
Beiträge: 62
Registriert: 24.12.2012, 10:49
Lizenz: wpShopGermany Enterprise
Wohnort: Rostock
Kontaktdaten:

Re: Update / Neue Instalation

Beitrag von Haacker » 30.01.2018, 13:13

Okay, die php Version habe ich aktualisiert. ich installiere nun das alte Plugin um anschließend das Update vorzunehmen. Hoffentlich funktioniert das und ist es so einfach. Danke für den Tip mit der php version :D

Haacker
Beiträge: 62
Registriert: 24.12.2012, 10:49
Lizenz: wpShopGermany Enterprise
Wohnort: Rostock
Kontaktdaten:

Re: Update / Neue Instalation

Beitrag von Haacker » 30.01.2018, 13:24

Nun habe ich einen Fehler gegen einen anderen getauscht.

Das alte Shop Plugin läßt sich nicht mehr aktivieren:


Warning: Declaration of wpsg_mod_discount::produkt_save($produkt_id) should be compatible with wpsg_mod_basic::produkt_save(&$produkt_id) in /var/www/vhosts/web5.c15.webspace-verkauf.de/html/wp-content/plugins/wpshopgermany/mods/wpsg_mod_discount.class.php on line 0

Warning: Declaration of wpsg_mod_produktartikel::produkt_save($produkt_id) should be compatible with wpsg_mod_basic::produkt_save(&$produkt_id) in /var/www/vhosts/web5.c15.webspace-verkauf.de/html/wp-content/plugins/wpshopgermany/mods/wpsg_mod_produktartikel.class.php on line 0

Warning: Declaration of wpsg_mod_productgroups::produkt_save($produkt_id) should be compatible with wpsg_mod_basic::produkt_save(&$produkt_id) in /var/www/vhosts/web5.c15.webspace-verkauf.de/html/wp-content/plugins/wpshopgermany/mods/wpsg_mod_productgroups.class.php on line 0

Warning: Declaration of wpsg_mod_relatedproducts::produkt_save($produkt_id) should be compatible with wpsg_mod_basic::produkt_save(&$produkt_id) in /var/www/vhosts/web5.c15.webspace-verkauf.de/html/wp-content/plugins/wpshopgermany/mods/wpsg_mod_relatedproducts.class.php on line 0

Fatal error: Uncaught Error: Call to undefined function mysql_query() in /var/www/vhosts/web5.c15.webspace-verkauf.de/html/wp-content/plugins/wpshopgermany/lib/wpsg_db.class.php:2 Stack trace: #0 /var/www/vhosts/web5.c15.webspace-verkauf.de/html/wp-content/plugins/wpshopgermany/mods/wpsg_mod_versandarten.class.php(2): wpsg_db->fetchAssocField('SELECT M.`id`, ...', 'id', 'name') #1 /var/www/vhosts/web5.c15.webspace-verkauf.de/html/wp-content/plugins/wpshopgermany/controller/wpsg_ShopController.class.php(40): wpsg_mod_versandarten->init() #2 /var/www/vhosts/web5.c15.webspace-verkauf.de/html/wp-content/plugins/wpshopgermany/controller/wpsg_ShopController.class.php(1): wpsg_ShopController->loadModule() #3 /var/www/vhosts/web5.c15.webspace-verkauf.de/html/wp-content/plugins/wpshopgermany/wpshopgermany.php(15): wpsg_ShopController->initShop('wp_') #4 /var/www/vhosts/web5.c15.webspace-verkauf.de/html/wp-admin/includes/plugin.php(1897): include('/var/www/vhosts...') #5 /var/www/vhosts/web5.c15.webspace-verkauf.de/html/wp-admin/pl in /var/www/vhosts/web5.c15.webspace-verkauf.de/html/wp-content/plugins/wpshopgermany/lib/wpsg_db.class.php on line 2

Benutzeravatar
maennchen1.de
Administrator
Beiträge: 16102
Registriert: 14.08.2003, 16:55
Lizenz: wpShopGermany Enterprise
Wohnort: Thüringen, Ellersleben
Kontaktdaten:

Re: Update / Neue Instalation

Beitrag von maennchen1.de » 30.01.2018, 16:58

Du kannst nicht auf Version 4 upgraden und dann Version 3 wieder betreiben wollen.
Du solltest dann wenigstens auch ein Backup der Datenbank wieder einspielen.
Kein Support per PN! Alle Fragen beantworten wir hier im Forum. Per PN bitte nur Passwörter, Namen und URLs - sofern notwendig.
Bitte vor dem posten lesen:
FAQ / häufig gestellte Fragen
wpShopGermany Fehler? Hilfeanleitung!
PHTML-Dateien richtig verwenden (für eigene Anpassungen)

Haacker
Beiträge: 62
Registriert: 24.12.2012, 10:49
Lizenz: wpShopGermany Enterprise
Wohnort: Rostock
Kontaktdaten:

Re: Update / Neue Instalation

Beitrag von Haacker » 31.01.2018, 11:56

Ja, danke für eure Unterstützung. Ich habe den Shop nun wieder zum Laufen bekommen. Zumindest in der "wpshopgermany-free.4.0.5" Version. Mich wundert jedoch, dass die erworbene Enterprise Lizenz nicht mehr angenommen wird. Auch werden Produktbilder nicht mehr angezeigt.. das liegt aber wahrscheinlich an den von mir geänderten "User Views", da mache ich mich gleich an die Fehlersuche.
Könnt ihr mir bitte sagen, warum meine alte Lizenz nicht mehr funktioniert?

Benutzeravatar
ThoGoe
m1.Mitarbeiter
Beiträge: 2984
Registriert: 21.07.2014, 08:25
Lizenz: wpShopGermany Enterprise

Re: Update / Neue Instalation

Beitrag von ThoGoe » 31.01.2018, 12:46

Hallo!

Bitte beachte die oben verlinkte Anleitung.
Hast du deine Lizenz bereits in eine 4er Lizenz in deinem Account unter shop.maennchen1.de umgewandelt?

Liebe Grüße
Wenn du glaubst, es geht nicht mehr, kommt von uns die Hilfe (http://shop.maennchen1.de/kontaktformular/) her.
Hast du wenig Geld, doch dafür Zeit, stell es der Wunschliste (https://wpshopgermany.uservoice.com/for ... 61-general) bereit!

Benutzeravatar
maennchen1.de
Administrator
Beiträge: 16102
Registriert: 14.08.2003, 16:55
Lizenz: wpShopGermany Enterprise
Wohnort: Thüringen, Ellersleben
Kontaktdaten:

Re: Update / Neue Instalation

Beitrag von maennchen1.de » 31.01.2018, 15:47

Hier findest du alle Fragen zum Upgrade auf Version 4: http://wpshopgermany.maennchen1.de/faqs ... version-4/

Trage dich auch in wenigstens einen unserer Newsletter ein, dort informieren wir auch über entsprechende Neuigkeiten:
- http://wpshopgermany.maennchen1.de/posts_abonnieren/
- https://shop.maennchen1.de/profil/
- http://beta4.wpshopgermany.de
Kein Support per PN! Alle Fragen beantworten wir hier im Forum. Per PN bitte nur Passwörter, Namen und URLs - sofern notwendig.
Bitte vor dem posten lesen:
FAQ / häufig gestellte Fragen
wpShopGermany Fehler? Hilfeanleitung!
PHTML-Dateien richtig verwenden (für eigene Anpassungen)

karlstatt
Beiträge: 27
Registriert: 12.04.2012, 13:40
Lizenz: wpShopGermany Enterprise

Re: Update / Neue Instalation

Beitrag von karlstatt » 06.04.2018, 13:24

Ich habe exakt die gleiche Fehlermeldung in einer Multisite-Umgebung.

Nach einem Serverumzug lief ein Subweb mit der alten Version 3.xx (letzte Version) nicht, alle anderen liefen. Da sich der Webshop als Ursache ausmachen ließ, habe ich auf die neue Version aktualisiert, der Shop in der nun aktuellen Version läuft auch auf dem Hauptweb und den Subwebs, nur nicht auf einem speziellen Subweb. Beim Versuch, dort WPShopGermany in der aktuellen Version 4.06 zu aktivieren, kommt besagte Fehlermeldung.

Wordpress ist in der Version 4.9.5 installiert, PHP ist aktuell 7.1.16, der Shop ist in der Enterprise-Version lizensiert.

Benutzeravatar
maennchen1.de
Administrator
Beiträge: 16102
Registriert: 14.08.2003, 16:55
Lizenz: wpShopGermany Enterprise
Wohnort: Thüringen, Ellersleben
Kontaktdaten:

Re: Update / Neue Instalation

Beitrag von maennchen1.de » 06.04.2018, 14:43

Hallo!
Hier wurden mehrere Meldungen zitiert. Könntest du bitte deine Fehlermeldung hier posten und auch sagen, an welcher Stelle diese Meldung erscheint?
Kein Support per PN! Alle Fragen beantworten wir hier im Forum. Per PN bitte nur Passwörter, Namen und URLs - sofern notwendig.
Bitte vor dem posten lesen:
FAQ / häufig gestellte Fragen
wpShopGermany Fehler? Hilfeanleitung!
PHTML-Dateien richtig verwenden (für eigene Anpassungen)

karlstatt
Beiträge: 27
Registriert: 12.04.2012, 13:40
Lizenz: wpShopGermany Enterprise

Re: Update / Neue Instalation

Beitrag von karlstatt » 06.04.2018, 16:35

maennchen1.de hat geschrieben:Hallo!
Hier wurden mehrere Meldungen zitiert. Könntest du bitte deine Fehlermeldung hier posten und auch sagen, an welcher Stelle diese Meldung erscheint?
Oh, schuldigung ;-) Ich hatte mich auf die Fehlermeldung im Titel des Threads bezogen:

Parse error: syntax error, unexpected '[' in /var/www/vhosts/meinedomain.de/httpdocs/wp-content/plugins/wpshopgermany-free/model/wpsg_model.class.php on line 96

Sie kommt, wenn ich in einem bestimmten Subweb das Plugin aktivieren will. Es handelt sich, wie gesagt, um eine Multisite-Umgebung. In anderen Subwebs der gleichen Installation funktioniert es problemlos. Wenn ich den Shop netzwerkweit freigebe, zeigt das genannte Subweb nur eine leere Seite, alle anderen laufen.

Benutzeravatar
maennchen1.de
Administrator
Beiträge: 16102
Registriert: 14.08.2003, 16:55
Lizenz: wpShopGermany Enterprise
Wohnort: Thüringen, Ellersleben
Kontaktdaten:

Re: Update / Neue Instalation

Beitrag von maennchen1.de » 06.04.2018, 21:32

Wir sehen uns das nächste Woche gleich mit an. Danke für dein Feedback!
Kein Support per PN! Alle Fragen beantworten wir hier im Forum. Per PN bitte nur Passwörter, Namen und URLs - sofern notwendig.
Bitte vor dem posten lesen:
FAQ / häufig gestellte Fragen
wpShopGermany Fehler? Hilfeanleitung!
PHTML-Dateien richtig verwenden (für eigene Anpassungen)

Antworten